Firefox: Cut's off on large differential
Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version: 0.7.3

Description

Hi Guys,

First of all I would like to thank you for this great product, it is extremely useful.

However I ran across a problem with Firefox on a large differential. Sometimes when I make large commits I change lots of code,

and if there is too much changes it looks like it gets cut off in firefox. Everything shows fine in I.E. except that the scroll boxes don't

work.

I've attached a picture of the problem as well

Related issues:

Related to Redmine - Defect #4724: Page goes blank for large item listings Closed 2010-02-03

Has duplicate Redmine - Defect #2303: Black screen when viewing subversion fi... Closed 2008-12-08

Associated revisions

Revision 2118 - 2008-12-09 19:30 - Jean-Philippe Lang

Fixed: Firefox cuts off large diffs (#2234).

History

#1 - 2008-12-01 14:01 - Curtis Stewart

This same issues occurs on the "Overall Activity" if there is a lot of activity.

It works in IE but not Firefox.

#2 - 2008-12-06 17:59 - Ludovic Gasc

For me, it isn't a Redmine bug, but a Firefox bug.

You could post your bug report here : https://bugzilla.mozilla.org/ with the html page and a screenshot.

#3 - 2008-12-07 06:46 - Ryan Gordon

No this is definitely a bug with this application. I even have a fix for it.

In \public\stylesheets\application.php

.autoscroll {overflow-x: auto; padding:1px; margin-bottom: 1.2em;}

Change to

.autoscroll {overflow-x: auto; padding:1px; margin-bottom: 1.2em; max-height: 1000px; }

You fail to give it a max-height, or even a height so not only does it render it at full in IE and other browsers and as such renders the feature useless

but firefox's gecko engine thinks that it's a problem in it's engine, and the smart code it try's to be, cuts off.

I've put in place and tested this fix on our own dev redmine server. It would definately be helpful to see this go into the redmine svn.

#4 - 2008-12-07 09:39 - Jean-Philippe Lang

Ryan, your fix doesn't work for me.

You fail to give it a max-height, or even a height so not only does it render it at full in IE and other browsers and as such renders the feature

useless
 IMHO, it's not the role of the browser to decide if displaying the page is useles or not. I don't think W3C states so.

And note that with no css applied, firefox will also render the page at full.

but firefox's gecko engine thinks that it's a problem in it's engine, and the smart code it try's to be, cuts off.

 It's more like a workaround than a feature of the engine.

#5 - 2008-12-07 18:51 - Ryan Gordon

Ryan, your fix doesn't work for me.

 Then all I can say is that your not doing it or testing it right. It definately successfully resolved any problems I had with viewing the differential page in

firefox.

That's all I, or any user, cares about. Is that it works point black. People simply aren't going to use your product if you can't properly support Firefox.

#6 - 2008-12-09 19:32 - Jean-Philippe Lang

- Status changed from New to Resolved

I do my best to support Firefox. It's fixed in r2118.

I've also added an option to limit the number of diff lines that can be displayed (r2112).

#7 - 2008-12-11 01:24 - Ryan Gordon

Thank you for your great work and effect - There's no doubt we will be sticking with this product

Ryan

#8 - 2008-12-20 11:04 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version set to 0.8

- Resolution set to Fixed

Files
